콘텐츠로 건너뛰기

Kling Video v2.6 Image to Video

통합

모델 id kling-video/v2.6/pro/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-video/v2.6/pro/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.70 700 API 크레딧 이 페이지에서 실행

API 키 받기
Kling 이미지를 동영상으로 네이티브 오디오5–10 s

선택적 마지막 프레임, 네이티브 오디오 생성 및 음성 ID 참조를 지원하는 v2.6 이미지-투-비디오

Doitong에서 제작됨

Doitong 커뮤니티가 Kling Video v2.6로 만든 공개 작품입니다. 한 번의 클릭으로 프롬프트를 재사용하세요.

표시된 공개 작품: 16
**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 동영상

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 동영상

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 동영상

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 동영상

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

Моя первая глобальная цель — 10.000 подписчиков. Я хочу расти вместе с вами, делать сериалы ещё к... 동영상

Моя первая глобальная цель — 10.000 подписчиков. Я хочу расти вместе с вами, делать сериалы ещё круче, масштабнее и в итоге превратить это в полноценный проект, чтобы в дальнейшем монетизировать свой блог. Путь к первой десятке объявляю открытым. Идём со мной? Мне нужно такое видео в трёх кадрах...

Оживи старую чёрно-белую свадебную фотографию. Молодожёны стоят рядом друг с другом. Жених нежно ... 동영상

Оживи старую чёрно-белую свадебную фотографию. Молодожёны стоят рядом друг с другом. Жених нежно и с любовью смотрит на невесту, слегка улыбается и бережно касается её руки. Невеста мягко улыбается, немного поворачивает голову к жениху и смотрит на него с теплотой. Их движения естественные,...

The woman in the reference photo smiles naturally at the camera. Golden magical sparks begin swir... 동영상

The woman in the reference photo smiles naturally at the camera. Golden magical sparks begin swirling around her body. Her eyes briefly glow with warm golden light. A beautiful black witch hat appears on her head, and her clothes magically transform into an elegant black-and-gold witch costume...

Кролик открывает дверь девушке, девушка дает чаевые кролику и говорит « спасибо, мой ушастый друг... 동영상

Кролик открывает дверь девушке, девушка дает чаевые кролику и говорит « спасибо, мой ушастый друг», он закрывает за ней дверь и говорит «Пожалуйста, красотка» после того как она села в машину за руль, кролик немного отходит, девушка в дрифте уезжает, все в одной сцене. Съемка кинематографичная....

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수 88 / 2500
•필수 start_image_url
파일을 끌어다 놓거나

동영상 생성에 사용할 이미지를 가리키는 URL입니다. 파일 크기는 50 MB 이하여야 하며 너비와 높이는 각각 300px 이상, 가로세로 비율은 0.40~2.50이어야 합니다.

duration 5 s

초 단위로 측정한 출력 동영상 길이입니다.

동영상 생성에 사용할 선택적 음성 ID이며 작업당 2개로 제한됩니다. 프롬프트에서 <<<voice_1>>> 및 <<<voice_2>>>로 참조합니다.

고급 negative_prompt · end_image · enable_safety_checker
0 / 2500
end_image_url
파일을 끌어다 놓거나

동영상 끝에 사용할 이미지를 가리키는 URL입니다. 파일 크기는 50 MB 이하여야 하며 너비와 높이는 각각 300px 이상, 가로세로 비율은 0.40~2.50이어야 합니다.

POST /run/kling-video/v2.6/pro/image-to-video?wait=20 견적 → $0.70
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-video/v2.6/pro/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Kling Video v2.6 Image to Video 정보

시작 이미지(`start_image_url`)를 최대 2500자의 프롬프트에 따라 애니메이션화하고 `end_image_url`에서 종료할 수 있습니다. `duration`은 5초 또는 10초입니다. `generate_audio`는 중국어 및 영어 음성이 포함된 네이티브 오디오를 생성하고, `voice_ids`로 프롬프트에서 최대 2개의 음성을 참조할 수 있습니다. `negative_prompt`도 지원합니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
enable_safety_checker선택 사항
유형boolean
기본값true
안전 검사는 계정 인증이 있을 때만 비활성화할 수 있으며, 인증되지 않은 요청에는 항상 검사가 적용됩니다.
prompt필수
유형string
≤ 2,500자
start_image_url필수 image
유형url · image
동영상 생성에 사용할 이미지를 가리키는 URL입니다. 파일 크기는 50 MB 이하여야 하며 너비와 높이는 각각 300px 이상, 가로세로 비율은 0.40~2.50이어야 합니다.
duration선택 사항
유형enum
기본값5
510
초 단위로 측정한 출력 동영상 길이입니다.
negative_prompt선택 사항
유형string
기본값blur, distort, and low quality
≤ 2,500자
generate_audio선택 사항
유형boolean
기본값true
기본 동영상 오디오 생성 토글입니다. 중국어 또는 영어 음성을 지원하며 다른 언어는 영어로 자동 번역합니다. 영어 음성의 경우 약어와 고유 명사는 대문자로, 나머지는 소문자로 작성합니다.
voice_ids선택 사항
유형string[]
동영상 생성에 사용할 선택적 음성 ID이며 작업당 2개로 제한됩니다. 프롬프트에서 <<<voice_1>>> 및 <<<voice_2>>>로 참조합니다.
end_image_url선택 사항 end_image
유형url · image
동영상 끝에 사용할 이미지를 가리키는 URL입니다. 파일 크기는 50 MB 이하여야 하며 너비와 높이는 각각 300px 이상, 가로세로 비율은 0.40~2.50이어야 합니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/v2.6/pro/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 700,
    "usd": "0.70",
    "charged": 700,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "start_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
video
object {url, content_type, file_name, file_size}모델이 생성한 동영상입니다.

더 많은 모델: 이미지를 동영상으로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/kling-video/v2.6/pro/image-to-video.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt